extends Node2D
class_name Beehive

var dancer_in_range : bool = false

func _ready():
	Log.pr("Beehive has joined the party")

func _on_area_2d_area_entered(area:Area2D):
	Log.pr("Beehive: Area entered", area)
	if area.is_in_group("dancer"):
		dancer_in_range = true
		print("Dancer in range")

func _on_area_2d_area_exited(area:Area2D):
	if area.is_in_group("dancer"):
		dancer_in_range = false
		print("Dancer out of range")
